import {
  Wrapper,
  Text
} from '../components'

export default () => (
  <Wrapper title='Code Of Conduct'>
    <Text>
    Harassment includes offensive verbal comments related to gender, sexual orientation, disability, physical appearance, body size, race, religion, sexual images in public spaces, deliberate intimidation, stalking, following, harassing photography or recording, sustained disruption of talks or other events, inappropriate physical contact, and unwelcome sexual attention.
    </Text>
    <Text>
    Participants asked to stop any harassing behaviour are expected to comply immediately.
    </Text>
    <Text>
    Sponsors are also subject to the anti-harassment policy. In particular, sponsors should not use sexualised images, activities, or other material. Sponsor attendees should not use sexualised clothing/uniforms/costumes, or otherwise create a sexualised environment.
    </Text>
    <Text>
    If a participant engages in harassing behaviour, the conference organisers may take any action they deem appropriate, including warning the offender or expulsion from the conference with no refund.
    </Text>
    <Text>
      If you are removed from a CampJS event
    </Text>
    <Text>* You will not be welcome at any future events.</Text>
    <Text>* You will not be entitled to a refund.</Text>
    <Text>* Your behaviour may be communicated to other event organisers.</Text>
    <Text>* We have been very proud of the CampJS community for being mostly mature and well-behaved at our events thus far, and hopefully we will never have to enact any disciplinary measures. It is the purpose of this code of conduct to ensure everyone knows that we do not tolerate harassment or otherwise offensive behaviour and we want to know immediately if it's happening at one of our events.</Text>

    <Text is='h1' fontSize={1} mt={5} bold>Who to contact?</Text>
    <Text>
      If you'd like to report an issue, do not hesitate to approach any of the CampJS organisers with any and all issues. Alternatively get in touch at at codeofconduct@campjs.com. We take every issue seriously.
    </Text>
    <Text>
      If you feel this Code of Conduct could be improved, we welcome your feedback.
    </Text>
  </Wrapper>
)
